<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ROI Calculator</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="assets/css/main.css">
    <style>
        /* Chrome, Safari, Edge, Opera */
        input::-webkit-outer-spin-button,
        input::-webkit-inner-spin-button {
            -webkit-appearance: none;
            margin: 0;
        }

        /* Firefox */
        input[type=number] {
            -moz-appearance: textfield;
        }
    </style>

</head>

<body>
    <div class="container my-5">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <h2 class="my-4 py-4 text-center">CALCULATE YOUR PROJECT ROI</h2>
                <form method="POST" action="./roi-submit.php" name="roiForm">
                    <div class="mb-3">
                        <input type="text" class="form-control" placeholder="Please Enter Your Name" aria-describedby="uname" name="uname" id="uname" required>
                        <p class="text-danger error d-none" id="nameError"></p>
                    </div>
                    <div class="mb-3">
                        <input type="email" class="form-control" placeholder="Please Enter Your Email" aria-describedby="email" name="email" id="emailId" required>
                        <p class="text-danger error d-none" id="emailError"></p>
                    </div>
                    <div class="mb-3">
                        <input type="number" class="form-control" placeholder="Please Enter Your Contact Number" aria-describedby="contact" name="contact" id="contactNo" required>
                        <p class="text-danger error d-none" id="contactError"></p>
                    </div>
                    <h3 class="text-start py-2">Type of Units</h3>
                    <div class="d-flex gap-3 mb-4">
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="property_type" value="villa" checked required>
                            <label class="form-check-label">
                                Villa
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="property_type" value="apartment" required>
                            <label class="form-check-label">
                                Apartment
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="property_type" value="plot" required>
                            <label class="form-check-label">
                                Plot
                            </label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-6">
                            <div class="mb-3">
                                <input type="number" placeholder="Land area in acres" name="land_area" class="form-control" id="landArea" required>
                                <p class="text-danger error d-none" id="landError"></p>
                            </div>
                            <div class="mb-3">
                                <input type="number" placeholder="FSI (Floor Space Index)" step="any" name="fsi" class="form-control" id="fsi" required>
                                <p class="text-danger error d-none" id="fsiError"></p>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="mb-3">
                                <input type="number" placeholder="Selling price in INR" name="selling_price" class="form-control" id="sellingPrice" required>
                                <p class="text-danger error d-none" id="sellingPriceError"></p>
                            </div>
                            <div class="mb-3">
                                <input type="number" placeholder="Lagoon area in acres" name="lagoon_area" class="form-control" id="lagoonArea" required>
                                <p class="text-danger error d-none" id="lagoonError"></p>
                            </div>
                        </div>
                    </div>
                    <input type="submit" class="theme-btn mt-4" name="calculate" value="Calculate" />
                    <input type="hidden" name="save" value="save" />
                </form>
            </div>
        </div>
    </div>
    <script src="https://www.championinfratech.com/champion-lagoons/assets/js/vendor/jquery.min.js"></script>
    <script type="text/javascript" src="./validation.js"></script>
</body>
</html>