<?php 
function get_client_ip() {
	global $ipaddress;
	if (isset($_SERVER['HTTP_CLIENT_IP']))
		$ipaddress = $_SERVER['HTTP_CLIENT_IP'];
	else if(isset($_SERVER['HTTP_X_FORWARDED_FOR']))
		$ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
	else if(isset($_SERVER['HTTP_X_FORWARDED']))
		$ipaddress = $_SERVER['HTTP_X_FORWARDED'];
	else if(isset($_SERVER['HTTP_FORWARDED_FOR']))
		$ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
	else if(isset($_SERVER['HTTP_FORWARDED']))
		$ipaddress = $_SERVER['HTTP_FORWARDED'];
	else if(isset($_SERVER['REMOTE_ADDR']))
		$ipaddress = $_SERVER['REMOTE_ADDR'];
	else
		$ipaddress = 'UNKNOWN';
	return $ipaddress;
}
get_client_ip();
$IPaddress = get_client_ip();

$name = $email = $contact = $property_type = $land_area = $fsi = $selling_price = $lagoon_area = '';
if (isset($_POST['save']) && $_POST['save'] === 'save') {

    $name = $_POST['uname'];
    $email = $_POST['email'];
    $contact = $_POST['contact'];
    $property_type = $_POST['property_type'];
    $land_area = $_POST['land_area'];
    $fsi = $_POST['fsi'];
    $selling_price = $_POST['selling_price'];
    $lagoon_area = $_POST['lagoon_area'];

    $Developable_area_is_sft = $land_area * 43560 * $fsi;
    $Revenue_in_INR = $selling_price * $Developable_area_is_sft;
    $lagoon_cost = ($lagoon_area * 100000000) + 50000000;
    $selling_price_per_sqft = ($property_type === 'plot') ? ($selling_price * 0.20) + $selling_price : ($selling_price * 0.15) + $selling_price;
    $Final_Revenue = $selling_price_per_sqft * $Developable_area_is_sft;
    $Increased_Revenue = $Final_Revenue - $Revenue_in_INR;
    $Return_of_Lagoon = round(($Increased_Revenue / $lagoon_cost) * 100) . "%";
    

// Display results using Bootstrap table
$email_message = "<!DOCTYPE html>
<html lang='en'>
<head>
    <meta charset='UTF-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1.0'>
    <title>Calculation Result</title>
</head>
<body>
    <div>
        <h2>Calculation Result</h2>
        <table border='1' cellpadding='5' cellspacing='0'>
            <tr>
                <th>Parameter</th>
                <th>Value</th>
            </tr>
            <tr>
                <td>Developable area (sqft)</td>
                <td>$Developable_area_is_sft square feet</td>
            </tr>
            <tr>
                <td>Revenue (INR)</td>
                <td>$Revenue_in_INR INR</td>
            </tr>
            <tr>
                <td>Lagoon Cost (INR)</td>
                <td>$lagoon_cost INR</td>
            </tr>
            <tr>
                <td>Selling Price Per sqft (INR)</td>
                <td>$selling_price_per_sqft INR</td>
            </tr>
            <tr>
                <td>Final Revenue (INR)</td>
                <td>$Final_Revenue INR</td>
            </tr>
            <tr>
                <td>Increased Revenue (INR)</td>
                <td>$Increased_Revenue INR</td>
            </tr>
            <tr>
                <td>Returns because of lagoon</td>
                <td>$Return_of_Lagoon</td>
            </tr>
        </table>
    </div>
</body>
</html>";

// Send email to user
$user_subject = "Your Calculation Result";
$user_headers = "MIME-Version: 1.0" . "\r\n";
$user_headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
$user_headers .= "From: info@championinfratech.com" . "\r\n";
mail($email, $user_subject, $email_message, $user_headers);

// Send email to company
$company_subject = "Calculation Result for $name";
$company_headers = "MIME-Version: 1.0" . "\r\n";
$company_headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
$company_headers .= "From: $name <$email>" . "\r\n";
mail("info@championinfratech.com", $company_subject, $email_message, $company_headers);

$extrafields  = $name . ' | ' . $email. ' | '. $contact . ' | '. $property_type. ' | '. $land_area. ' | '. $fsi. ' | ' .$selling_price. ' | ' .$lagoon_area. '|' . $IPaddress;
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Result</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>

<div class="container mt-5">
    <div class="row">
        <div class="col-md-8 offset-md-2">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Calculation Result</h5>
                    <div class="table-responsive">
                        <table class="table">
                            <tbody>
                                <?php
                                    if (isset($_POST['save']) && $_POST['save'] === 'save') {

                                    // Display results using Bootstrap table
                                    echo "<tr><th>Parameter</th><th>Value</th></tr>";
                                    echo "<tr><td>Developable area is sft</td><td>$Developable_area_is_sft square feet</td></tr>";
                                    echo "<tr><td>Revenue in INR</td><td>$Revenue_in_INR INR</td></tr>";
                                    echo "<tr><td>Lagoon Cost in INR</td><td>$lagoon_cost INR</td></tr>";
                                    echo "<tr><td>Selling Price Per sft</td><td>$selling_price_per_sqft INR</td></tr>";
                                    echo "<tr><td>Final Revenue in INR</td><td>$Final_Revenue INR</td></tr>";
                                    echo "<tr><td>Increased revenue INR</td><td>$Increased_Revenue INR</td></tr>";
                                    echo "<tr><td>Returns because of lagoon</td><td>$Return_of_Lagoon</td></tr>";
                                    }
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<form style="padding:0px;" name="frmTracking" id="frmTracking" >
		<input name="email" type="hidden" value="<?php echo $_POST['email']; ?>"/>
		<input name="first_name" type="hidden" value="<?php echo $_POST['uname']; ?>"/>
		<input name="phone" type="hidden" value="<?php echo $_POST['contact']; ?>"/>
		<input name="propert_type" type="hidden" value="<?php echo $_POST['property_type']; ?>"/>
        <input name="land_area" type="hidden" value="<?php echo $_POST['land_area']; ?>"/>
        <input name="fsi" type="hidden" value="<?php echo $_POST['fsi']; ?>"/>
        <input name="selling_price" type="hidden" value="<?php echo $_POST['selling_price']; ?>"/>
        <input name="lagoon_area" type="hidden" value="<?php echo $_POST['lagoon_area']; ?>"/>
		<input name="URL" type="hidden" value="https://www.championinfratech.com/champion-lagoons/"/>
		<input name="title" type="hidden" value="Champion Lagoons"/>
		<input name="lead_source" type="hidden" value="Web Site Lead"/>
		<input type="hidden" name="oid" value="00D5i000006Ks7c"/>
		<input name="description" type="hidden" value="<?php echo $extrafields; ?>"/>
		<input name="00N90000006pnvV" type="hidden" value="<?php echo $IPaddress; ?>"/>	
	</form>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script type="text/javascript">	   
jQuery(document).ready(function($) {

    // Function to send data to Salesforce using AJAX
    function sendDataToSalesforce() {
        var formData = $("#frmTracking").serialize();
        $.ajax({
            type: "POST",
            url: "https://webto.salesforce.com/servlet/servlet.WebToLead?encoding=UTF-8",
            data: formData,
            success: function(response) {
                console.log("Data sent to Salesforce successfully.");
            },
            error: function(xhr, status, error) {
                console.error("Error sending data to Salesforce: " + error);
            }
        });
    }
    
    // Call the function to send data to Salesforce
    sendDataToSalesforce();
});
</script>

</body>
</html>
